# Copyright (C) 2000 - 2024 Silverpeas
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# As a special exception to the terms and conditions of version 3.0 of
# the GPL, you may redistribute this Program in connection withWriter Free/Libre
# Open Source Software ("FLOSS") applications as described in Silverpeas's
# FLOSS exception.  You should have received a copy of the text describing
# the FLOSS exception, and it is also available here:
# "https://www.silverpeas.org/legal/floss_exception.html"
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

##
## The properties to setup Silverpeas with the default values.
##

####################################################################################################
## Location of the system directories of Silverpeas.
## Usually you don't need to touch them.
####################################################################################################

## The location of the users' data managed by Silverpeas
SILVERPEAS_DATA_HOME=${env.SILVERPEAS_HOME}/data

## The location of different web resources used by Silverpeas
SILVERPEAS_DATA_WEB=${env.SILVERPEAS_HOME}/data/web

## The location of the temporary directory
SILVERPEAS_TEMP = ${SILVERPEAS_DATA_HOME}/temp

## The location of the logs in Silverpeas
SILVERPEAS_LOG = ${env.SILVERPEAS_HOME}/log

## A hidden directory for important data that has not to be handled by a user.
HIDDEN_SILVERPEAS_DIR=${SILVERPEAS_DATA_HOME}/.silverpeas

####################################################################################################
## Administrator properties.
## Please, update at least the administrator email address for the user notifications coming from
####################################################################################################

## The initial credentials of the Silverpeas administrator. The password in clear plaintext here will
## be encrypted with the default password encryption algorithm in Silverpeas.
SILVERPEAS_ADMIN_NAME=Administrateur
SILVERPEAS_ADMIN_LOGIN=SilverAdmin
SILVERPEAS_ADMIN_PASSWORD=SilverAdmin

## It is mandatory to set correctly this property in order the administrator receives notifications
## by email from Silverpeas.
SILVERPEAS_ADMIN_EMAIL=silveradmin@localhost

####################################################################################################
## Silverpeas Global properties.
####################################################################################################

## The properties to use when emails are automatically sent by Silverpeas.
## It is mandatory to set correctly these parameters.
SILVERPEAS_SENDER_NAME=Silverpeas
SILVERPEAS_SENDER_EMAIL=noreply@localhost

## Default language for users (and hence for the platform)
SILVERPEAS_USER_LANGUAGE=fr

## l10n support for the contents published by the users in Silverpeas. Set more than one language
# activates the multi-language for contents in Silverpeas. Accepts a coma-separated values among:
# fr for French, en for English, and de for German
SILVERPEAS_CONTENT_LANGUAGES=fr

## The default logging level for Silverpeas's loggers. A value among the following: DEBUG, INFO,
## WARNING, ERROR.
SILVERPEAS_LOGGING_LEVEL=WARNING

## The default log rotate behavior for Silverpeas's loggers.
SILVERPEAS_LOG_BACKUP_MAX=5
SILVERPEAS_LOG_BACKUP_SIZE=20M

## The server root logging parameters
SERVER_LOG_BACKUP_MAX=10
SERVER_LOG_BACKUP_SIZE=5m

## The name of the application context under which Silverpeas will be deployed.
## It defines the path in the URL at which Silverpeas is accessible in the Web. For instance:
### ${SERVER_URL}/${SILVERPEAS_CONTEXT} (http://localhost:8000/silverpeas with the default values).
## Usually, you don't need to change this value.
SILVERPEAS_CONTEXT = silverpeas

####################################################################################################
## The properties to initialize the JVM.
####################################################################################################

JVM_RAM_MAX=2048m
JVM_OPTS=-XX:+UseG1GC -XX:+UseStringDeduplication -XX:+UseCompressedOops

####################################################################################################
## Application Server configuration.
####################################################################################################

## The URL of the platform to use by itself when it cannot identify it (used when behind a proxy)
SERVER_URL=http://localhost:8000

## The HTTP port at which incoming requests are listened by the application server
SERVER_PORT=8000

## The execution mode of the server. Two possibles values: standalone and domain. Currently, only
## standalone is supported
SERVER_EXECUTION_MODE=standalone

# Is the server running after a secured reverse-proxy that ensures TLS connections: either true or
# false. By default false.
SERVER_SECURED=false

# The timeout in seconds for the server to start Silverpeas. By default, the timeout of the
# application deployment of the server (5mn in Wildfly). When Silverpeas is started by the server
# (when it is deployed in the JEE jargon), it can take some times to initialize the resources that
# depends on the amount of the data managed by Silverpeas and on the performance of both the
# hardware and the filesystem. If you encounter a timeout error at Silverpeas starting, then
# change the value here (for example, by setting it to 900 for 15mn)
SERVER_STARTING_TIMEOUT = 300

# By default, the management console is only available on the machine of the running wildfly
# at IP 127.0.0.1 and port 9990.
# This variable allows the management console to be accessible from any server IP. This is useful
# with a client server which does not provide WEB browser (which is generally the case).
# By default, false (that means default wildfly behavior).
SERVER_MANAGEMENT_ALL_IP = false

####################################################################################################
## Properties of the database to use for Silverpeas.
####################################################################################################

## Type of the database system: POSTGRESQL for PostgreSQL, MSSQL for Microsoft SQLServer, ORACLE for
## Oracle, H2 for H2.
DB_SERVERTYPE=POSTGRESQL

## The default port used by the supported database system
DB_PORT_MSSQL=1433
DB_PORT_ORACLE=1521
DB_PORT_POSTGRESQL=5432
DB_PORT_H2=9092

## The IP address or the DNS name of the host running the database system.
## H2 supports also embedded local databases. For a such database with H2, just set :file:
## (Database file will be located in the SILVERPEAS_HOME/h2 directory.)
DB_SERVER=localhost

## The crendentials with which Silverpeas can access the database
DB_USER=postgres
DB_PASSWORD=postgres

## The database name
DB_NAME=Silverpeas

## Default timeout of the transactions in seconds. Operations on huge amount of data (like the
## synchronizations) require a longer timeout than the default value in the server's configuration.
DB_JTA_TIMEOUT=3600

## parameters of the connections pool used to access the database (some of them are database
## system dependent)
DB_MIN_POOL_SIZE=5
DB_MAX_POOL_SIZE=120
DB_IDLE_TIMEOUT=15
DB_BLOCKING_TIMEOUT=30000
DB_STATS_ENABLED=false

####################################################################################################
## Properties for the JCR used by Silverpeas to store document metadata.
####################################################################################################

## The home directory of the JCR (Java Content Repository) used by Silverpeas
JCR_HOME = ${SILVERPEAS_DATA_HOME}/jcr

####################################################################################################
## Document Conversion Service properties.
####################################################################################################

## If empty, then defaulted to localhost
CONVERTER_HOST=

## If empty, then defaulted to 8100
CONVERTER_PORT=8100

####################################################################################################
## SMTP properties for sending emails
####################################################################################################

SMTP_SERVER=localhost
SMTP_AUTHENTICATION=false
SMTP_DEBUG=false
SMTP_PORT=25
SMTP_USER=
SMTP_PASSWORD=
SMTP_SECURE=false

####################################################################################################
## Proxy configuration.
## Leave empty if Silverpeas isn't behind a proxy.
## The proxy properties are used by Silverpeas to access remote services before the proxy
## (like Youtube for example)
####################################################################################################

## Is an HTTPS proxy or a simple HTTP one: true for an HTTPS proxy, false or empty otherwise.
HTTPS_PROXY=

PROXY_HOST=
PROXY_PORT=
PROXY_USER=
PROXY_PASSWORD=
## By default set by Java to localhost|127.*|[::1]
NONPROXY_HOST=

####################################################################################################
## Default parameters to use when the authentication of the users has to be done by a LDAP/Exchange
## service or by a SQL DB.
####################################################################################################

## Fallback type, a value among: none, ifNotRejected or always
FALLBACK_TYPE=always
